## ros-eloquent-ros1-bridge 0.8.3

=== debian/changelog ===
ros-eloquent-ros1-bridge (0.8.3-1bionic) bionic; urgency=high

  * [backport] support idl files on the ROS 2 side of the bridge (#302 <https://github.com/ros2/ros1_bridge/issues/302>)
    * [backport] update to use rosidl_parser and .idl files rather than rosidl_adapter and .msg files (#296 <https://github.com/ros2/ros1_bridge/issues/296>)
    * [backport] fix bug with sizeof when type of the arrays differ (#298 <https://github.com/ros2/ros1_bridge/issues/298>)
  * fix multiple definition if message with same name as service exists (#272 <https://github.com/ros2/ros1_bridge/issues/272>) (#274 <https://github.com/ros2/ros1_bridge/issues/274>)
  * Contributors: Dirk Thomas, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-eloquent-ros1-bridge (0.8.2-1bionic) bionic; urgency=high

  * fix building test when ROS 1 diagnostic_msgs is isolated from roscpp (#236 <https://github.com/ros2/ros1_bridge/issues/236>)
  * fix service with custom mapped message field (#234 <https://github.com/ros2/ros1_bridge/issues/234>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Jan 2020 00:00:00 -0000

ros-eloquent-ros1-bridge (0.8.1-1bionic) bionic; urgency=high

  * fix showing duplicate keys in --print-pairs (#225 <https://github.com/ros2/ros1_bridge/issues/225>)
  * fix bridging builtin_interfaces Duration and Time (#224 <https://github.com/ros2/ros1_bridge/issues/224>)
  * Don't use features that will be deprecated (#222 <https://github.com/ros2/ros1_bridge/issues/222>)
  * Contributors: Dirk Thomas, Peter Baughman

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-eloquent-ros1-bridge (0.8.0-1bionic) bionic; urgency=high

  * Promote special CLI rules to flags. (#217 <https://github.com/ros2/ros1_bridge/issues/217>)
  * Update __log_rosout_disable workaround to use --ros-args. (#216 <https://github.com/ros2/ros1_bridge/issues/216>)
  * Clearer instructions for example (#211 <https://github.com/ros2/ros1_bridge/issues/211>)
  * add services bridging to parameter_bridge (#176 <https://github.com/ros2/ros1_bridge/issues/176>)
  * Contributors: Jose Luis Blanco-Claraco, Michel Hidalgo, cyrilleberger

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-eloquent-ros1-bridge (0.7.3-1bionic) bionic; urgency=high

  * fix typename in static bridge (#209 <https://github.com/ros2/ros1_bridge/issues/209>)
  * fix cosmetic in message (#207 <https://github.com/ros2/ros1_bridge/issues/207>)
  * Use %zu print format for size_t (#204 <https://github.com/ros2/ros1_bridge/issues/204>)
  * Fix parameter bridge for topic if ros1 and ros2 type have a different name (#177 <https://github.com/ros2/ros1_bridge/issues/177>)
  * Contributors: Dirk Thomas, Emerson Knapp, cyrilleberger

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Aug 2019 00:00:00 -0000

ros-eloquent-ros1-bridge (0.7.2-1bionic) bionic; urgency=high

  * add note about rostopic echo (#202 <https://github.com/ros2/ros1_bridge/issues/202>)
  * add workspace setup documentation (#201 <https://github.com/ros2/ros1_bridge/issues/201>)
  * Contributors: Mabel Zhang

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 00:00:00 -0000

ros-eloquent-ros1-bridge (0.7.1-1bionic) bionic; urgency=high

  * Disable rosout logging for the bridge (#197 <https://github.com/ros2/ros1_bridge/issues/197>)
  * Handle launch_testing assertExitCodes correctly (#193 <https://github.com/ros2/ros1_bridge/issues/193>)
  * Support field selection  (#174 <https://github.com/ros2/ros1_bridge/issues/174>)
  * Use interface kind names properly in ROS2 interface type names. (#194 <https://github.com/ros2/ros1_bridge/issues/194>)
  * Contributors: Juan Rodriguez Hortala, Michel Hidalgo, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 00:00:00 -0000

ros-eloquent-ros1-bridge (0.7.0-1bionic) bionic; urgency=high

  * Adds interface type to ROS2 message type name. (#191 <https://github.com/ros2/ros1_bridge/issues/191>)
  * fix build by passing options (#192 <https://github.com/ros2/ros1_bridge/issues/192>)
  * changes to avoid deprecated API's (#189 <https://github.com/ros2/ros1_bridge/issues/189>)
  * Corrected publish calls with shared_ptr signature, leftovers (#190 <https://github.com/ros2/ros1_bridge/issues/190>)
  * Corrected publish calls with shared_ptr signature (#188 <https://github.com/ros2/ros1_bridge/issues/188>)
  * Migrate launch tests to new launch_testing features & API (#179 <https://github.com/ros2/ros1_bridge/issues/179>)
  * Some small fixes to the README (#186 <https://github.com/ros2/ros1_bridge/issues/186>)
  * Fix the generator. (#185 <https://github.com/ros2/ros1_bridge/issues/185>)
  * Merge pull request #183 <https://github.com/ros2/ros1_bridge/issues/183> from ros2/interface_specific_compilation_units
  * remove note about memory usage from README
  * split into interface specific compilation units
  * duplicate template before modifying it to track history
  * fix log messages (#182 <https://github.com/ros2/ros1_bridge/issues/182>)
  * use safe_load instead of deprecated load (#180 <https://github.com/ros2/ros1_bridge/issues/180>)
  * Merge pull request #178 <https://github.com/ros2/ros1_bridge/issues/178> from ros2/gonzalodepedro/fix-propagate-args-to-rcl-init
  * Allows propagations of cmd args to rclcpp::init
  * add section about DCO to CONTRIBUTING.md
  * Add launch along with launch_testing as test dependencies. (#171 <https://github.com/ros2/ros1_bridge/issues/171>)
  * Switch to rclcpp logging and improve messages (#167 <https://github.com/ros2/ros1_bridge/issues/167>)
  * invalidate wrong cached result for diagnostic_msgs (#170 <https://github.com/ros2/ros1_bridge/issues/170>)
  * Drops legacy launch API usage. (#163 <https://github.com/ros2/ros1_bridge/issues/163>)
  * export find_ros1_package cmake (#164 <https://github.com/ros2/ros1_bridge/issues/164>)

