=== debian/control ===
Source: ros-eloquent-ros1-bridge
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python-rospkg, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-common-msgs, ros-melodic-gazebo-msgs, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-rosbash, ros-melodic-roscpp, ros-melodic-roscpp-tutorials, ros-melodic-roslaunch, ros-melodic-rosmsg, ros-melodic-rospy-tutorials, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-stereo-msgs, ros-melodic-tf, ros-melodic-tf2-msgs, ros-melodic-trajectory-msgs, ros-melodic-visualization-msgs, pkg-config, python3-catkin-pkg-modules, python3-yaml, ros-eloquent-action-msgs, ros-eloquent-actionlib-msgs, ros-eloquent-ament-cmake, ros-eloquent-ament-index-python, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-builtin-interfaces, ros-eloquent-demo-nodes-cpp, ros-eloquent-diagnostic-msgs, ros-eloquent-example-interfaces, ros-eloquent-gazebo-msgs, ros-eloquent-geometry-msgs, ros-eloquent-launch, ros-eloquent-launch-testing, ros-eloquent-launch-testing-ament-cmake, ros-eloquent-launch-testing-ros, ros-eloquent-nav-msgs, ros-eloquent-rclcpp, ros-eloquent-rcutils, ros-eloquent-rmw-implementation-cmake, ros-eloquent-ros2run, ros-eloquent-rosidl-cmake, ros-eloquent-rosidl-parser, ros-eloquent-sensor-msgs, ros-eloquent-shape-msgs, ros-eloquent-std-msgs, ros-eloquent-std-srvs, ros-eloquent-stereo-msgs, ros-eloquent-tf2-msgs, ros-eloquent-trajectory-msgs, ros-eloquent-visualization-msgs, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-ros1-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-common-msgs, ros-melodic-gazebo-msgs, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-rosbash, ros-melodic-roscpp, ros-melodic-roscpp-tutorials, ros-melodic-roslaunch, ros-melodic-rosmsg, ros-melodic-rospy-tutorials, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-stereo-msgs, ros-melodic-tf, ros-melodic-tf2-msgs, ros-melodic-trajectory-msgs, ros-melodic-visualization-msgs, pkg-config, python3-yaml, ros-eloquent-action-msgs, ros-eloquent-actionlib-msgs, ros-eloquent-builtin-interfaces, ros-eloquent-diagnostic-msgs, ros-eloquent-example-interfaces, ros-eloquent-gazebo-msgs, ros-eloquent-geometry-msgs, ros-eloquent-nav-msgs, ros-eloquent-rclcpp, ros-eloquent-rcutils, ros-eloquent-sensor-msgs, ros-eloquent-shape-msgs, ros-eloquent-std-msgs, ros-eloquent-std-srvs, ros-eloquent-stereo-msgs, ros-eloquent-tf2-msgs, ros-eloquent-trajectory-msgs, ros-eloquent-visualization-msgs, ros-eloquent-ros-workspace
Description: A simple bridge between ROS 1 and ROS 2
